(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/material/dialog'), require('@angular/common'), require('ng2-pdf-viewer'), require('@angular/forms'), require('ngx-intl-tel-input'), require('@agm/core'), require('sweetalert2/dist/sweetalert2.js'), require('uuid'), require('interfaceft-icb-lib-services'), require('ngx-spinner'), require('rxjs'), require('ngx-webcam'), require('bcryptjs'), require('@angular/material/table'), require('@angular/material/input'), require('@ng-bootstrap/ng-bootstrap'), require('ng2-charts'), require('@angular/common/http'), require('@angular/material/paginator')) :
    typeof define === 'function' && define.amd ? define('interfaceft-icb-lib-common', ['exports', '@angular/core', '@angular/material/dialog', '@angular/common', 'ng2-pdf-viewer', '@angular/forms', 'ngx-intl-tel-input', '@agm/core', 'sweetalert2/dist/sweetalert2.js', 'uuid', 'interfaceft-icb-lib-services', 'ngx-spinner', 'rxjs', 'ngx-webcam', 'bcryptjs', '@angular/material/table', '@angular/material/input', '@ng-bootstrap/ng-bootstrap', 'ng2-charts', '@angular/common/http', '@angular/material/paginator'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['interfaceft-icb-lib-common'] = {}, global.ng.core, global.ng.material.dialog, global.ng.common, global.i2, global.ng.forms, global.i3, global.i1$1, global.Swal, global.uuid, global.i3$1, global.i4, global.rxjs, global.i2$2, global.bcrypt, global.ng.material.table, global.ng.material.input, global.ngBootstrap, global.ng2Charts, global.ng.common.http, global.ng.material.paginator));
}(this, (function (exports, i0, i1, i5, i2, i2$1, i3, i1$1, Swal, uuid, i3$1, i4, rxjs, i2$2, bcrypt, table, input, ngBootstrap, ng2Charts, http, paginator) { 'use strict';

    function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () {
                            return e[k];
                        }
                    });
                }
            });
        }
        n['default'] = e;
        return Object.freeze(n);
    }

    var i0__namespace = /*#__PURE__*/_interopNamespace(i0);
    var i1__namespace = /*#__PURE__*/_interopNamespace(i1);
    var i5__namespace = /*#__PURE__*/_interopNamespace(i5);
    var i2__namespace = /*#__PURE__*/_interopNamespace(i2);
    var i2__namespace$1 = /*#__PURE__*/_interopNamespace(i2$1);
    var i3__namespace = /*#__PURE__*/_interopNamespace(i3);
    var i1__namespace$1 = /*#__PURE__*/_interopNamespace(i1$1);
    var Swal__default = /*#__PURE__*/_interopDefaultLegacy(Swal);
    var i3__namespace$1 = /*#__PURE__*/_interopNamespace(i3$1);
    var i4__namespace = /*#__PURE__*/_interopNamespace(i4);
    var i2__namespace$2 = /*#__PURE__*/_interopNamespace(i2$2);
    var bcrypt__namespace = /*#__PURE__*/_interopNamespace(bcrypt);

    var SignOutDialogComponent = /** @class */ (function () {
        function SignOutDialogComponent(dialogRef, data) {
            this.dialogRef = dialogRef;
            this.data = data;
        }
        SignOutDialogComponent.prototype.ngOnInit = function () { };
        SignOutDialogComponent.prototype.signout = function () {
            this.dialogRef.close(true);
        };
        SignOutDialogComponent.prototype.close = function () {
            this.dialogRef.close(false);
        };
        return SignOutDialogComponent;
    }());
    SignOutDialogComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: SignOutDialogComponent, deps: [{ token: i1__namespace.MatDialogRef }, { token: i1.MAT_DIALOG_DATA }], target: i0__namespace.ɵɵFactoryTarget.Component });
    SignOutDialogComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: SignOutDialogComponent, selector: "kt-sign-out-dialog", ngImport: i0__namespace, template: "<div class=\"card card-custom\" id=\"logout-dialog\">\n  <div\n    class=\"symbol symbol-danger mr-3 symbol-70 symbol-circle\"\n    id=\"logout-icon\"\n  >\n    <span class=\"symbol-label font-size-h5\">\n      <i style=\"font-size: 20px !important;\" class=\"fas fa-power-off text-white animate__animated animate__heartBeat animate__infinite\"></i>\n    </span>\n  </div>\n  <div class=\"card-body\">\n    <span class=\"font-weight-bolder d-block text-left mt-3 main-title\"\n      >ARE YOU SURE YOU WANT TO SIGN OUT?</span\n    >\n\n    <div class=\"d-flex justify-content-end\" style=\"margin-top: 50px\">\n      <button\n        (click)=\"close()\"\n        style=\"padding: 13px 21px\"\n        type=\"button\"\n        class=\"btn btn-outline-secondary mr-4 btn-square\"\n      >\n        <span>CANCEL</span>\n      </button>\n      <button\n        (click)=\"signout()\"\n        style=\"padding: 13px 21px\"\n        type=\"button\"\n        class=\"btn btn-danger btn-square\"\n      >\n        <span>SIGN OUT</span>\n      </button>\n    </div>\n  </div>\n</div>\n", styles: ["#logout-dialog{background-color:var(--background-color);color:#fff;border-radius:0;border-top:5px solid crimson;position:relative}#logout-icon{position:absolute;transform:translate(-50%,-50%);right:-35px;top:44px}.main-title{color:var(--text-color)!important}"] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: SignOutDialogComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: "kt-sign-out-dialog",
                        templateUrl: "./sign-out-dialog.component.html",
                        styleUrls: ["./sign-out-dialog.component.scss"],
                    }]
            }], ctorParameters: function () {
            return [{ type: i1__namespace.MatDialogRef }, { type: undefined, decorators: [{
                            type: i0.Inject,
                            args: [i1.MAT_DIALOG_DATA]
                        }] }];
        } });

    var ModuleNotFoundComponent = /** @class */ (function () {
        function ModuleNotFoundComponent(location) {
            this.location = location;
        }
        ModuleNotFoundComponent.prototype.ngOnInit = function () { };
        ModuleNotFoundComponent.prototype.goback = function () {
            this.location.back();
        };
        return ModuleNotFoundComponent;
    }());
    ModuleNotFoundComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: ModuleNotFoundComponent, deps: [{ token: i5__namespace.Location }], target: i0__namespace.ɵɵFactoryTarget.Component });
    ModuleNotFoundComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: ModuleNotFoundComponent, selector: "lib-module-not-found", ngImport: i0__namespace, template: "<div class=\"card card-custom module-card\">\n    <div class=\"card-body\">\n      <div class=\"row\">\n        <div class=\"col-7 text-center\">\n          <img\n            src=\"assets/images/defaults/404_page_not_found_.svg\"\n            style=\"width: 50%; margin: auto\"\n            alt=\"\"\n          />\n          <div\n            class=\"container d-flex flex-row-fluid flex-column justify-content-md-center p-6\"\n          >\n            <h1\n              class=\"error-title font-weight-boldest text-info mt-md-0\"\n              style=\"font-size: 75px\"\n            >\n              Oops!\n            </h1>\n            <p class=\"font-weight-boldest display-4 main-title\">Form Module Not Found!!!</p>\n            <p class=\"font-size-h3 main-title\">\n              Please Contact the Administrator for Additional Support\n            </p>\n            <a\n              style=\"width: 40%; margin: auto\"\n              (click)=\"goback()\"\n              class=\"btn btn-success font-weight-bold btn-pill btn-shadow px-10 py-3\"\n              >BACK TO DASHBOARD\n            </a>\n          </div>\n        </div>\n        <div class=\"col-5 d-flex\">\n          <img\n            src=\"assets/images/defaults/undraw_back_home_nl5c.svg\"\n            style=\"width: 100%\"\n            alt=\"\"\n          />\n        </div>\n      </div>\n    </div>\n  </div>", styles: [".module-card{background-color:var(--background-color)}"] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: ModuleNotFoundComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'lib-module-not-found',
                        templateUrl: './module-not-found.component.html',
                        styleUrls: ['./module-not-found.component.scss'],
                    }]
            }], ctorParameters: function () { return [{ type: i5__namespace.Location }]; } });

    var SearchResultComponent = /** @class */ (function () {
        function SearchResultComponent(dialogRef, data) {
            this.dialogRef = dialogRef;
            this.data = data;
            this.accountdetails = [];
            this.accountdetails = data.details;
            console.log(this.accountdetails);
        }
        SearchResultComponent.prototype.ngOnInit = function () {
        };
        SearchResultComponent.prototype.confirm = function () {
            this.dialogRef.close({ confirm: this.accountdetails });
        };
        SearchResultComponent.prototype.close = function () {
            this.dialogRef.close();
        };
        SearchResultComponent.prototype.select = function (customer) {
            this.dialogRef.close({ confirm: customer });
        };
        return SearchResultComponent;
    }());
    SearchResultComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: SearchResultComponent, deps: [{ token: i1__namespace.MatDialogRef }, { token: i1.MAT_DIALOG_DATA }], target: i0__namespace.ɵɵFactoryTarget.Component });
    SearchResultComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: SearchResultComponent, selector: "kt-search-result", ngImport: i0__namespace, template: "<div class=\"card card-custom module-card gutter-b m-0\">\n  <div class=\"card-body\">\n    <div class=\"row mb-3\">\n      <div class=\"col-12 text-center\">\n        <span class=\"svg-icon svg-icon-primary svg-icon-2x\"\n          ><!--begin::Svg Icon | path:C:\\wamp64\\www\\keenthemes\\themes\\metronic\\theme\\html\\demo1\\dist/../src/media/svg/icons\\Design\\ZoomMinus.svg--><svg\n            xmlns=\"http://www.w3.org/2000/svg\"\n            xmlns:xlink=\"http://www.w3.org/1999/xlink\"\n            width=\"24px\"\n            height=\"24px\"\n            viewBox=\"0 0 24 24\"\n            version=\"1.1\"\n          >\n            <g stroke=\"none\" stroke-width=\"1\" fill=\"none\" fill-rule=\"evenodd\">\n              <rect x=\"0\" y=\"0\" width=\"24\" height=\"24\" />\n              <path\n                d=\"M14.2928932,16.7071068 C13.9023689,16.3165825 13.9023689,15.6834175 14.2928932,15.2928932 C14.6834175,14.9023689 15.3165825,14.9023689 15.7071068,15.2928932 L19.7071068,19.2928932 C20.0976311,19.6834175 20.0976311,20.3165825 19.7071068,20.7071068 C19.3165825,21.0976311 18.6834175,21.0976311 18.2928932,20.7071068 L14.2928932,16.7071068 Z\"\n                fill=\"#000000\"\n                fill-rule=\"nonzero\"\n                opacity=\"0.3\"\n              />\n              <path\n                d=\"M11,16 C13.7614237,16 16,13.7614237 16,11 C16,8.23857625 13.7614237,6 11,6 C8.23857625,6 6,8.23857625 6,11 C6,13.7614237 8.23857625,16 11,16 Z M11,18 C7.13400675,18 4,14.8659932 4,11 C4,7.13400675 7.13400675,4 11,4 C14.8659932,4 18,7.13400675 18,11 C18,14.8659932 14.8659932,18 11,18 Z\"\n                fill=\"#000000\"\n                fill-rule=\"nonzero\"\n              />\n              <rect\n                fill=\"#000000\"\n                opacity=\"0.3\"\n                x=\"9\"\n                y=\"10.5\"\n                width=\"4\"\n                height=\"1\"\n                rx=\"0.5\"\n              />\n            </g></svg\n          ><!--end::Svg Icon--></span\n        >\n        <h6 class=\"font-weight-bold main-title\">RESULT SUMMARY</h6>\n      </div>\n    </div>\n\n    <mat-dialog-content>\n      <div class=\"mt-4\" *ngIf=\"accountdetails.length\">\n        <!--begin::Item-->\n        <div\n          class=\"d-flex align-items-center mb-10\"\n          *ngFor=\"let customer of accountdetails; let i = index\"\n        >\n          <!--begin::Symbol-->\n          <div class=\"symbol symbol-40 symbol-light-success mr-5\">\n            <span class=\"symbol-label\">\n              <img\n                src=\"assets/images/avatars/001-boy.svg\"\n                class=\"h-75 align-self-end\"\n                alt=\"\"\n              />\n            </span>\n          </div>\n          <!--end::Symbol-->\n\n          <!--begin::Text-->\n          <div class=\"d-flex flex-column flex-grow-1 font-weight-bold\">\n            <a\n              (click)=\"select(customer)\"\n              class=\"main-title text-hover-primary mb-1 font-size-lg\"\n              >{{ customer.customername }}</a\n            >\n            <span class=\"text-muted\" *ngIf=\"customer.accountnumber\">{{ customer.accountnumber }}</span>\n            <span class=\"text-muted mt-1\" style=\"font-size: 12px;\" *ngIf=\"customer.customerid\">{{ customer.customerid }}</span>\n            <span class=\"text-muted mt-1\" style=\"font-size: 12px;\" *ngIf=\"customer.status\">{{ customer.status }}</span>\n          </div>\n          <!--end::Text-->\n\n          <!--begin::Dropdown-->\n          <a\n            (click)=\"select(customer)\"\n            class=\"btn btn-hover-light-primary btn-sm btn-icon\"\n            data-toggle=\"dropdown\"\n            aria-haspopup=\"true\"\n            aria-expanded=\"false\"\n          >\n            <span class=\"svg-icon svg-icon-primary svg-icon-2x\"\n              ><!--begin::Svg Icon | path:C:\\wamp64\\www\\keenthemes\\themes\\metronic\\theme\\html\\demo1\\dist/../src/media/svg/icons\\Navigation\\Double-check.svg--><svg\n                xmlns=\"http://www.w3.org/2000/svg\"\n                xmlns:xlink=\"http://www.w3.org/1999/xlink\"\n                width=\"24px\"\n                height=\"24px\"\n                viewBox=\"0 0 24 24\"\n                version=\"1.1\"\n              >\n                <g\n                  stroke=\"none\"\n                  stroke-width=\"1\"\n                  fill=\"none\"\n                  fill-rule=\"evenodd\"\n                >\n                  <polygon points=\"0 0 24 0 24 24 0 24\" />\n                  <path\n                    d=\"M9.26193932,16.6476484 C8.90425297,17.0684559 8.27315905,17.1196257 7.85235158,16.7619393 C7.43154411,16.404253 7.38037434,15.773159 7.73806068,15.3523516 L16.2380607,5.35235158 C16.6013618,4.92493855 17.2451015,4.87991302 17.6643638,5.25259068 L22.1643638,9.25259068 C22.5771466,9.6195087 22.6143273,10.2515811 22.2474093,10.6643638 C21.8804913,11.0771466 21.2484189,11.1143273 20.8356362,10.7474093 L17.0997854,7.42665306 L9.26193932,16.6476484 Z\"\n                    fill=\"#000000\"\n                    fill-rule=\"nonzero\"\n                    opacity=\"0.3\"\n                    transform=\"translate(14.999995, 11.000002) rotate(-180.000000) translate(-14.999995, -11.000002) \"\n                  />\n                  <path\n                    d=\"M4.26193932,17.6476484 C3.90425297,18.0684559 3.27315905,18.1196257 2.85235158,17.7619393 C2.43154411,17.404253 2.38037434,16.773159 2.73806068,16.3523516 L11.2380607,6.35235158 C11.6013618,5.92493855 12.2451015,5.87991302 12.6643638,6.25259068 L17.1643638,10.2525907 C17.5771466,10.6195087 17.6143273,11.2515811 17.2474093,11.6643638 C16.8804913,12.0771466 16.2484189,12.1143273 15.8356362,11.7474093 L12.0997854,8.42665306 L4.26193932,17.6476484 Z\"\n                    fill=\"#000000\"\n                    fill-rule=\"nonzero\"\n                    transform=\"translate(9.999995, 12.000002) rotate(-180.000000) translate(-9.999995, -12.000002) \"\n                  />\n                </g></svg\n              ><!--end::Svg Icon--></span\n            >\n          </a>\n          <!--end::Dropdown-->\n        </div>\n        <!--end::Item-->\n      </div>\n      <!-- <div class=\"row\">\n    <div class=\"col\">\n      <section class=\"mb-2\">\n        <span class=\"text-muted\" style=\"font-size: 11px\">Account Name</span>\n        <span\n          class=\"d-block font-weight-bold text-uppercase\"\n          style=\"font-size: 14px\"\n          >{{ accountdetails.customername }}</span\n        >\n      </section>\n\n      <section class=\"mb-2\">\n        <span class=\"text-muted\" style=\"font-size: 11px\">Account Number</span>\n        <span\n          class=\"d-block font-weight-bolder text-uppercase\"\n          style=\"font-size: 16px\"\n        >\n          {{ accountdetails.accountnumber }}</span\n        >\n      </section>\n    </div>\n  </div> --> </mat-dialog-content>\n\n    <div class=\"text-center\">\n      <a\n        (click)=\"close()\"\n        class=\"btn btn-text-dark-50 btn-icon-danger font-weight-light btn-hover-bg-light mr-3 mt-3 action-btn\"\n      >\n        <i class=\"flaticon2-cancel-music\" style=\"font-size: 12px\"></i> CANCEL\n      </a>\n      <!-- <a\n        style=\"padding: 10px 20px\"\n        (click)=\"confirm()\"\n        class=\"btn btn-text-dark-50 btn-icon-primary font-weight-light btn-hover-bg-light mt-3\"\n      >\n        <i class=\"fas fa-check\" style=\"font-size: 12px\"></i> CONFIRM\n      </a> -->\n    </div>\n  </div>\n</div>\n", styles: [".module-card{background-color:var(--background-color)}.action-btn,.close-btn{padding:12px 25px;border-radius:35px}"], directives: [{ type: i1__namespace.MatDialogContent, selector: "[mat-dialog-content], mat-dialog-content, [matDialogContent]" }, { type: i5__namespace.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i5__namespace.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: SearchResultComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'kt-search-result',
                        templateUrl: './search-result.component.html',
                        styleUrls: ['./search-result.component.scss']
                    }]
            }], ctorParameters: function () {
            return [{ type: i1__namespace.MatDialogRef }, { type: undefined, decorators: [{
                            type: i0.Inject,
                            args: [i1.MAT_DIALOG_DATA]
                        }] }];
        } });

    var PdfViewerComponent = /** @class */ (function () {
        function PdfViewerComponent(dialogRef, data, cdr) {
            this.dialogRef = dialogRef;
            this.data = data;
            this.cdr = cdr;
            console.log(data);
            this.title = data.name;
            if (data === null || data === void 0 ? void 0 : data.image.includes('image')) {
                this.image = data.image;
                this.cdr.markForCheck();
            }
            else if (data === null || data === void 0 ? void 0 : data.image.includes('application')) {
                this.pdfSource = data.image;
                this.cdr.markForCheck();
            }
        }
        PdfViewerComponent.prototype.ngOnInit = function () { };
        return PdfViewerComponent;
    }());
    PdfViewerComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: PdfViewerComponent, deps: [{ token: i1__namespace.MatDialogRef }, { token: i1.MAT_DIALOG_DATA }, { token: i0__namespace.ChangeDetectorRef }], target: i0__namespace.ɵɵFactoryTarget.Component });
    PdfViewerComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: PdfViewerComponent, selector: "kt-pdf-viewer", ngImport: i0__namespace, template: "<div class=\"card card-custom\">\n  <div class=\"card-header card-header-tabs-line\">\n    <div class=\"card-title\">\n      <h3 class=\"card-label\" style=\"font-size: 14px\">\n        {{ title }}\n      </h3>\n    </div>\n    <div class=\"card-toolbar\">\n      <button\n        [mat-dialog-close]=\"false\"\n        class=\"btn btn-icon btn-outline-danger\"\n      >\n        <i class=\"fas fa-times\"></i>\n      </button>\n    </div>\n  </div>\n  <div class=\"card-body\" style=\"padding: 23px 38px\">\n    <mat-dialog-content>\n      <div class=\"container\">\n        <ng-container *ngIf=\"image; else elseTemplate\">\n          <img\n            [src]=\"image\"\n            style=\"width: 100%\"\n            class=\"img-fluid rounded mx-auto d-block\"\n            alt=\"title\"\n          />\n        </ng-container>\n        <ng-template #elseTemplate>\n          <pdf-viewer\n            [src]=\"pdfSource\"\n            [original-size]=\"false\"\n            [render-text]=\"true\"\n            [show-borders]=\"true\"\n            style=\"display: block\"\n          ></pdf-viewer>\n        </ng-template>\n      </div>\n    </mat-dialog-content>\n  </div>\n  <div class=\"card-footer d-flex justify-content-end\">\n    <a\n      class=\"btn btn-danger font-weight-bold mr-3 py-3 px-4\"\n      [mat-dialog-close]=\"false\"\n      >Cancel</a\n    >\n  </div>\n</div>\n", styles: [""], components: [{ type: i2__namespace.PdfViewerComponent, selector: "pdf-viewer", inputs: ["c-maps-url", "page", "render-text", "render-text-mode", "original-size", "show-all", "stick-to-page", "zoom", "zoom-scale", "rotation", "external-link-target", "autoresize", "fit-to-page", "show-borders", "src"], outputs: ["after-load-complete", "page-rendered", "pages-initialized", "text-layer-rendered", "error", "on-progress", "pageChange"] }], directives: [{ type: i1__namespace.MatDialogClose, selector: "[mat-dialog-close], [matDialogClose]", inputs: ["type", "mat-dialog-close", "aria-label", "matDialogClose"], exportAs: ["matDialogClose"] }, { type: i1__namespace.MatDialogContent, selector: "[mat-dialog-content], mat-dialog-content, [matDialogContent]" }, { type: i5__namespace.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: PdfViewerComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'kt-pdf-viewer',
                        templateUrl: './pdf-viewer.component.html',
                        styleUrls: ['./pdf-viewer.component.scss'],
                    }]
            }], ctorParameters: function () {
            return [{ type: i1__namespace.MatDialogRef }, { type: undefined, decorators: [{
                            type: i0.Inject,
                            args: [i1.MAT_DIALOG_DATA]
                        }] }, { type: i0__namespace.ChangeDetectorRef }];
        } });

    var PinConfirmationComponent = /** @class */ (function () {
        function PinConfirmationComponent(dialogRef, data) {
            this.dialogRef = dialogRef;
            this.data = data;
        }
        PinConfirmationComponent.prototype.close = function () {
            this.dialogRef.close();
        };
        PinConfirmationComponent.prototype.ngOnInit = function () { };
        return PinConfirmationComponent;
    }());
    PinConfirmationComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: PinConfirmationComponent, deps: [{ token: i1__namespace.MatDialogRef }, { token: i1.MAT_DIALOG_DATA }], target: i0__namespace.ɵɵFactoryTarget.Component });
    PinConfirmationComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: PinConfirmationComponent, selector: "kt-pin-confirmation", ngImport: i0__namespace, template: "<h1 mat-dialog-title style=\"padding: 10px 20px; font-size: 17px\">\n  <i class=\"fas fa-key mr-2 text-warning\"></i>\n  Pin Confirmation\n</h1>\n<div mat-dialog-content style=\"padding: 12px 40px\">\n  <form action=\"\">\n    <div class=\"form-group\">\n      <label>Enter Pin</label>\n      <input\n        type=\"text\"\n        name=\"pin\"\n        class=\"form-control form-control-solid\"\n        placeholder=\"enter pin here...\"\n        [(ngModel)]=\"data.pin\"\n      />\n    </div>\n  </form>\n</div>\n<div mat-dialog-actions align=\"end\">\n  <button mat-button [mat-dialog-close]=\"close\">Close</button>\n  <button mat-button [mat-dialog-close]=\"data.pin\">Submit</button>\n</div>\n", styles: [""], directives: [{ type: i1__namespace.MatDialogTitle, selector: "[mat-dialog-title], [matDialogTitle]", inputs: ["id"], exportAs: ["matDialogTitle"] }, { type: i1__namespace.MatDialogContent, selector: "[mat-dialog-content], mat-dialog-content, [matDialogContent]" }, { type: i2__namespace$1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { type: i2__namespace$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { type: i2__namespace$1.NgForm, selector: "form:not([ngNoForm]):not([formGroup]),ng-form,[ngForm]", inputs: ["ngFormOptions"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { type: i2__namespace$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { type: i2__namespace$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i2__namespace$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { type: i3__namespace.NativeElementInjectorDirective, selector: "[ngModel], [formControl], [formControlName]" }, { type: i1__namespace.MatDialogActions, selector: "[mat-dialog-actions], mat-dialog-actions, [matDialogActions]" }, { type: i1__namespace.MatDialogClose, selector: "[mat-dialog-close], [matDialogClose]", inputs: ["type", "mat-dialog-close", "aria-label", "matDialogClose"], exportAs: ["matDialogClose"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: PinConfirmationComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: "kt-pin-confirmation",
                        templateUrl: "./pin-confirmation.component.html",
                        styleUrls: ["./pin-confirmation.component.scss"],
                    }]
            }], ctorParameters: function () {
            return [{ type: i1__namespace.MatDialogRef }, { type: undefined, decorators: [{
                            type: i0.Inject,
                            args: [i1.MAT_DIALOG_DATA]
                        }] }];
        } });

    var MapLocationDialogComponent = /** @class */ (function () {
        function MapLocationDialogComponent(dialogRef, data) {
            this.dialogRef = dialogRef;
            this.data = data;
            this.zoom = 15;
            console.log(data);
            this.title = data.name;
            this.latitude = data.latitude;
            this.longitude = data.longitude;
        }
        MapLocationDialogComponent.prototype.ngOnInit = function () { };
        return MapLocationDialogComponent;
    }());
    MapLocationDialogComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: MapLocationDialogComponent, deps: [{ token: i1__namespace.MatDialogRef }, { token: i1.MAT_DIALOG_DATA }], target: i0__namespace.ɵɵFactoryTarget.Component });
    MapLocationDialogComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: MapLocationDialogComponent, selector: "kt-map-location-dialog", ngImport: i0__namespace, template: "<div class=\"card card-custom module-card\" style=\"box-shadow: none !important\">\n  <div class=\"card-header card-header-tabs-line\">\n    <div class=\"card-title\">\n      <h3 class=\"card-label main-title\" style=\"font-size: 14px\">\n        {{ title }}\n      </h3>\n    </div>\n    <div class=\"card-toolbar\">\n      <button\n        [mat-dialog-close]=\"false\"\n        class=\"btn btn-icon btn-outline-danger\"\n      >\n        <i class=\"fas fa-times\"></i>\n      </button>\n    </div>\n  </div>\n  <div class=\"card-body\" style=\"padding: 23px 38px\">\n    <mat-dialog-content>\n      <ng-container\n        *ngIf=\"\n          (latitude == 0 && longitude == 0) ||\n            (latitude == null && longitude == null);\n          else elseTemplate\n        \"\n      >\n        <div class=\"alert alert-custom alert-warning\" role=\"alert\">\n          <div class=\"alert-icon\">\n            <i class=\"flaticon-questions-circular-button\"></i>\n          </div>\n          <div class=\"alert-text\">\n            No GPS Coordinate to locate this collateral!\n          </div>\n        </div>\n      </ng-container>\n      <ng-template #elseTemplate>\n        <agm-map [latitude]=\"latitude\" [longitude]=\"longitude\" [zoom]=\"zoom\">\n          <agm-marker\n            [latitude]=\"latitude\"\n            [longitude]=\"longitude\"\n          ></agm-marker>\n        </agm-map>\n      </ng-template>\n    </mat-dialog-content>\n  </div>\n  <div class=\"card-footer d-flex justify-content-end\">\n    <a\n      class=\"btn btn-danger btn-shadow font-weight-bold mr-3 action-btn\"\n      [mat-dialog-close]=\"false\"\n      >Cancel</a\n    >\n  </div>\n</div>\n", styles: ["agm-map{height:300px}.module-card{background-color:var(--background-color)}.main-title{color:var(--text-color)}.action-btn,.close-btn{padding:12px 25px;border-radius:35px}"], components: [{ type: i1__namespace$1.AgmMap, selector: "agm-map", inputs: ["longitude", "latitude", "zoom", "mapDraggable", "disableDoubleClickZoom", "disableDefaultUI", "scrollwheel", "keyboardShortcuts", "styles", "usePanning", "fitBounds", "mapTypeId", "clickableIcons", "showDefaultInfoWindow", "gestureHandling", "tilt", "minZoom", "maxZoom", "controlSize", "backgroundColor", "draggableCursor", "draggingCursor", "fitBoundsPadding", "restriction"], outputs: ["mapClick", "mapRightClick", "mapDblClick", "centerChange", "boundsChange", "mapTypeIdChange", "idle", "zoomChange", "mapReady", "tilesLoaded"] }], directives: [{ type: i1__namespace.MatDialogClose, selector: "[mat-dialog-close], [matDialogClose]", inputs: ["type", "mat-dialog-close", "aria-label", "matDialogClose"], exportAs: ["matDialogClose"] }, { type: i1__namespace.MatDialogContent, selector: "[mat-dialog-content], mat-dialog-content, [matDialogContent]" }, { type: i5__namespace.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i1__namespace$1.AgmMarker, selector: "agm-marker", inputs: ["markerDraggable", "visible", "openInfoWindow", "opacity", "zIndex", "markerClickable", "latitude", "longitude", "title", "label", "iconUrl", "animation"], outputs: ["animationChange", "markerClick", "markerDblClick", "markerRightClick", "dragStart", "drag", "dragEnd", "mouseOver", "mouseOut"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: MapLocationDialogComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'kt-map-location-dialog',
                        templateUrl: './map-location-dialog.component.html',
                        styleUrls: ['./map-location-dialog.component.scss'],
                    }]
            }], ctorParameters: function () {
            return [{ type: i1__namespace.MatDialogRef }, { type: undefined, decorators: [{
                            type: i0.Inject,
                            args: [i1.MAT_DIALOG_DATA]
                        }] }];
        } });

    var Toast$2 = Swal__default['default'].mixin({
        toast: true,
        position: 'top-end',
        showConfirmButton: false,
        timer: 3000,
        timerProgressBar: true,
        didOpen: function (toast) {
            toast.addEventListener('mouseenter', Swal__default['default'].stopTimer);
            toast.addEventListener('mouseleave', Swal__default['default'].resumeTimer);
        },
    });
    var ValidateTellerPinComponent = /** @class */ (function () {
        function ValidateTellerPinComponent(dialogRef, data, formBuilder) {
            this.dialogRef = dialogRef;
            this.data = data;
            this.formBuilder = formBuilder;
            this.Form = this.formBuilder.group({
                pin: [
                    '',
                    [
                        i2$1.Validators.required,
                        i2$1.Validators.maxLength(4),
                        i2$1.Validators.pattern('^[0-9]*$'),
                    ],
                ],
            });
        }
        ValidateTellerPinComponent.prototype.ngOnInit = function () { };
        ValidateTellerPinComponent.prototype.close = function () {
            this.dialogRef.close('false');
        };
        ValidateTellerPinComponent.prototype.submit = function () {
            console.log(this.Form);
            if (this.Form.valid) {
                this.dialogRef.close({ data: this.Form.get('pin').value });
            }
            else {
                Toast$2.fire({
                    icon: 'error',
                    title: 'Please Enter your Pin to validate your request',
                });
            }
        };
        return ValidateTellerPinComponent;
    }());
    ValidateTellerPinComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: ValidateTellerPinComponent, deps: [{ token: i1__namespace.MatDialogRef }, { token: i1.MAT_DIALOG_DATA }, { token: i2__namespace$1.FormBuilder }], target: i0__namespace.ɵɵFactoryTarget.Component });
    ValidateTellerPinComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: ValidateTellerPinComponent, selector: "kt-validate-teller-pin", ngImport: i0__namespace, template: "<div class=\"card card-custom module-card\">\n  <div class=\"card-header card-header-tabs-line\">\n    <div class=\"card-title\">\n      <h3 class=\"card-label main-title\" style=\"font-size: 14px\">\n        Teller Validation\n      </h3>\n    </div>\n    <div class=\"card-toolbar\">\n      <button\n        [mat-dialog-close]=\"false\"\n        class=\"btn btn-icon btn-outline-danger\"\n      >\n        <i class=\"fas fa-times\" style=\"font-size: 10px\"></i>\n      </button>\n    </div>\n  </div>\n  <div class=\"card-body\" style=\"padding: 23px 38px\">\n    <mat-dialog-content>\n      <form novalidate [formGroup]=\"Form\">\n        <div class=\"form-group\">\n          <label class=\"font-weight-bold\">Enter Pin </label>\n          <input\n            [class.is-invalid]=\"\n              Form.get('pin').touched && Form.get('pin').invalid\n            \"\n            formControlName=\"pin\"\n            type=\"password\"\n            class=\"form-control field-height\"\n            placeholder=\"Enter your pin\"\n          />\n          <span class=\"form-text text-muted\"\n            >enter your pin to validate your request.</span\n          >\n          <div class=\"invalid-feedback\">\n            <span *ngIf=\"Form.get('pin').errors?.required\"\n              >Your pin is required</span\n            >\n            <span *ngIf=\"Form.get('pin').errors?.pattern\"\n              >Pin must contain numbers [0-9] only!!!</span\n            >\n\n            <span *ngIf=\"Form.get('pin').errors?.maxlength\"\n              >Pin must be\n              {{ Form.get(\"pin\").errors?.maxlength?.requiredLength }}\n              characters</span\n            >\n          </div>\n        </div>\n      </form>\n    </mat-dialog-content>\n  </div>\n  <div class=\"card-footer d-flex justify-content-end\">\n    <a\n      class=\"btn btn-clean font-weight-bold mr-3 action-btn\"\n      (click)=\"close()\"\n      >Cancel</a\n    >\n    <button\n      (click)=\"submit()\"\n      class=\"btn btn-success font-weight-light action-btn btn-shadow\"\n    >\n      Submit\n    </button>\n  </div>\n</div>\n", styles: [".action-btn{padding:12px 27px;border-radius:30px}.module-card{box-shadow:0 1px 14px 0 rgba(0,0,0,.1)!important;transition:all .9s ease;border-radius:15px!important;background:var(--background-color)}.field-height{height:48px;border-radius:30px;background-color:var(--background-color);color:var(--text-color)!important;transition:all .6s ease!important}"], directives: [{ type: i1__namespace.MatDialogClose, selector: "[mat-dialog-close], [matDialogClose]", inputs: ["type", "mat-dialog-close", "aria-label", "matDialogClose"], exportAs: ["matDialogClose"] }, { type: i1__namespace.MatDialogContent, selector: "[mat-dialog-content], mat-dialog-content, [matDialogContent]" }, { type: i2__namespace$1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { type: i2__namespace$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { type: i2__namespace$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { type: i2__namespace$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { type: i2__namespace$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i2__namespace$1.FormControlName, selector: "[formControlName]", inputs: ["disabled", "formControlName", "ngModel"], outputs: ["ngModelChange"] }, { type: i3__namespace.NativeElementInjectorDirective, selector: "[ngModel], [formControl], [formControlName]" }, { type: i5__namespace.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: ValidateTellerPinComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'kt-validate-teller-pin',
                        templateUrl: './validate-teller-pin.component.html',
                        styleUrls: ['./validate-teller-pin.component.scss'],
                    }]
            }], ctorParameters: function () {
            return [{ type: i1__namespace.MatDialogRef }, { type: undefined, decorators: [{
                            type: i0.Inject,
                            args: [i1.MAT_DIALOG_DATA]
                        }] }, { type: i2__namespace$1.FormBuilder }];
        } });

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from, pack) {
        if (pack || arguments.length === 2)
            for (var i = 0, l = from.length, ar; i < l; i++) {
                if (ar || !(i in from)) {
                    if (!ar)
                        ar = Array.prototype.slice.call(from, 0, i);
                    ar[i] = from[i];
                }
            }
        return to.concat(ar || from);
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    var ConfirmDialogComponent = /** @class */ (function () {
        function ConfirmDialogComponent(dialogRef, data) {
            this.dialogRef = dialogRef;
        }
        ConfirmDialogComponent.prototype.ngOnInit = function () { };
        ConfirmDialogComponent.prototype.confirm = function () {
            this.dialogRef.close('true');
        };
        ConfirmDialogComponent.prototype.cancel = function () {
            this.dialogRef.close('false');
        };
        return ConfirmDialogComponent;
    }());
    ConfirmDialogComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: ConfirmDialogComponent, deps: [{ token: i1__namespace.MatDialogRef }, { token: i1.MAT_DIALOG_DATA }], target: i0__namespace.ɵɵFactoryTarget.Component });
    ConfirmDialogComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: ConfirmDialogComponent, selector: "lib-confirm-dialog", ngImport: i0__namespace, template: "<h1 mat-dialog-title style=\"padding: 11px 19px; text-align: center;\">Action Confirmation?</h1>\n<div mat-dialog-content style=\"padding: 10px 52px; text-align: center;\">\n  <h5 class=\"font-italic\">Please Confirm your Action</h5>\n</div>\n<div mat-dialog-actions style=\"padding: 0px 20px; display: flex; justify-content: center;\">\n  <a\n    (click)=\"cancel()\"\n    class=\"btn btn-light-danger font-weight-bold mr-2 py-3 px-4\"\n    >Cancel</a\n  >\n  <a\n  (click)=\"confirm()\"\n    class=\"btn btn-success font-weight-light mr-2 py-3 px-4\"\n    >Confirm</a\n  >\n</div>\n", styles: [""], directives: [{ type: i1__namespace.MatDialogTitle, selector: "[mat-dialog-title], [matDialogTitle]", inputs: ["id"], exportAs: ["matDialogTitle"] }, { type: i1__namespace.MatDialogContent, selector: "[mat-dialog-content], mat-dialog-content, [matDialogContent]" }, { type: i1__namespace.MatDialogActions, selector: "[mat-dialog-actions], mat-dialog-actions, [matDialogActions]" }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: ConfirmDialogComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'lib-confirm-dialog',
                        templateUrl: './confirm-dialog.component.html',
                        styleUrls: ['./confirm-dialog.component.css'],
                    }]
            }], ctorParameters: function () {
            return [{ type: i1__namespace.MatDialogRef }, { type: undefined, decorators: [{
                            type: i0.Inject,
                            args: [i1.MAT_DIALOG_DATA]
                        }] }];
        } });

    var Toast$1 = Swal__default['default'].mixin({
        toast: true,
        position: 'top-end',
        showConfirmButton: false,
        timer: 3000,
        timerProgressBar: true,
        didOpen: function (toast) {
            toast.addEventListener('mouseenter', Swal__default['default'].stopTimer);
            toast.addEventListener('mouseleave', Swal__default['default'].resumeTimer);
        },
    });
    var AddAffordabilityComponent = /** @class */ (function () {
        function AddAffordabilityComponent(dialogRef, data, cdr, formBuilder, formService, dialog, spinner, interactionService) {
            this.dialogRef = dialogRef;
            this.data = data;
            this.cdr = cdr;
            this.formBuilder = formBuilder;
            this.formService = formService;
            this.dialog = dialog;
            this.spinner = spinner;
            this.interactionService = interactionService;
            this.Form = this.formBuilder.group({});
            if (localStorage.getItem('dictionaries')) {
                this.dictionary = JSON.parse(localStorage.getItem('dictionaries'));
                this.cdr.markForCheck();
            }
            this.formAttributes = data['settings']['attributes'];
            this.formEndpoint = data['settings']['endpoint'];
        }
        AddAffordabilityComponent.prototype.ngOnInit = function () {
            this.getButton();
            this.initializeFormBuilder();
        };
        AddAffordabilityComponent.prototype.getButton = function () {
            this.formButton = this.formAttributes.find(function (item) { return item.type === 'button'; });
            this.cdr.markForCheck();
        };
        AddAffordabilityComponent.prototype.initializeFormBuilder = function () {
            if (this.formAttributes.length) {
                var formObject_1 = {};
                this.formAttributes.forEach(function (field) {
                    if (field.type !== 'button') {
                        if (field.validate.required) {
                            // tslint:disable-next-line: max-line-length
                            formObject_1[field.propertyname] = new i2$1.FormControl('', [
                                i2$1.Validators.required,
                                i2$1.Validators.minLength(field.validate.minLength),
                                i2$1.Validators.maxLength(field.validate.maxLength),
                            ]);
                        }
                        else {
                            formObject_1[field.propertyname] = new i2$1.FormControl('');
                        }
                    }
                });
                this.Form = new i2$1.FormGroup(formObject_1);
                console.log(this.Form);
            }
        };
        AddAffordabilityComponent.prototype.submit = function () {
            if (this.Form.valid) {
                this.confirmSubmission();
            }
            else {
                this.Form.markAllAsTouched();
            }
        };
        AddAffordabilityComponent.prototype.uploadFile = function (event, propertyname) {
            var _this = this;
            var reader = new FileReader();
            if (event.target.files.length) {
                var file_1 = event.target.files[0];
                if (file_1.size / 1024 / 1024 > 3) {
                    Toast$1.fire({
                        icon: 'error',
                        title: 'File should not be greater than 3MB',
                    });
                    this.Form.get(propertyname).setValidators([i2$1.Validators.maxLength(3)]);
                    return;
                }
                else {
                    this.Form.get(propertyname).clearValidators();
                    this.Form.get(propertyname).updateValueAndValidity();
                }
                reader.readAsDataURL(file_1);
                reader.onload = function () {
                    _this.filename = file_1.name;
                    _this.Form.get('attachmentbase64').setValue(reader.result.split(',')[1]);
                    _this.Form.addControl('attachmentformat', new i2$1.FormControl(file_1.type));
                };
            }
            console.log(this.Form);
        };
        AddAffordabilityComponent.prototype.confirmSubmission = function () {
            var _this = this;
            var dialogConfig = new i1.MatDialogConfig();
            dialogConfig.height = '200px';
            dialogConfig.width = '500px';
            dialogConfig.panelClass = 'confirmPinAccountDialog';
            var response = this.dialog.open(ConfirmDialogComponent, dialogConfig);
            response.afterClosed().subscribe(function (result) {
                if (result === 'true') {
                    _this.initializeSubmission();
                }
                else {
                    return;
                }
            });
        };
        AddAffordabilityComponent.prototype.initializeSubmission = function () {
            var e_1, _a;
            var _this = this;
            this.interactionService.loadMessage('Submitting Data...');
            this.spinner.show();
            var _uuid = uuid.v4();
            var form = this.Form.value;
            var requestBody = this.formButton['request_body'].split(',');
            var params = {};
            try {
                for (var requestBody_1 = __values(requestBody), requestBody_1_1 = requestBody_1.next(); !requestBody_1_1.done; requestBody_1_1 = requestBody_1.next()) {
                    var req = requestBody_1_1.value;
                    params[req] = form[req];
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (requestBody_1_1 && !requestBody_1_1.done && (_a = requestBody_1.return)) _a.call(requestBody_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
            console.log(params);
            var sub = this.formService
                .post(this.formEndpoint, params, _uuid)
                .subscribe(function (response) {
                if (response) {
                    if (response['code'] == '200') {
                        _this.spinner.hide();
                        _this.Form.reset();
                        _this.filename = '';
                        _this.dialogRef.close({ response: 'success' });
                        Toast$1.fire({
                            icon: 'success',
                            title: 'Loan Affordability Submission Successful',
                        });
                    }
                    else {
                        _this.spinner.hide();
                        Toast$1.fire({
                            icon: 'error',
                            title: response['data'],
                        });
                    }
                }
                else {
                    _this.spinner.hide();
                    Toast$1.fire({
                        icon: 'error',
                        title: 'Failed',
                    });
                }
                sub.unsubscribe();
                _this.spinner.hide();
            }, function (error) {
                sub.unsubscribe();
                _this.spinner.hide();
                Toast$1.fire({
                    icon: 'error',
                    title: error['error']['error_description'],
                });
            });
        };
        AddAffordabilityComponent.prototype.getEmployerId = function () {
            var name = '';
            var partner;
            if (this.Form.value.employername) {
                name = this.Form.value.employername;
            }
            partner = this.dictionary['partner_institutions'].find(function (partner) { return partner.name === name; });
            this.Form.get('employerid').setValue(partner.partnerid);
            console.log(this.Form);
        };
        return AddAffordabilityComponent;
    }());
    AddAffordabilityComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: AddAffordabilityComponent, deps: [{ token: i1__namespace.MatDialogRef }, { token: i1.MAT_DIALOG_DATA }, { token: i0__namespace.ChangeDetectorRef }, { token: i2__namespace$1.FormBuilder }, { token: i3__namespace$1.FormsService }, { token: i1__namespace.MatDialog }, { token: i4__namespace.NgxSpinnerService }, { token: i3__namespace$1.InteractionService }], target: i0__namespace.ɵɵFactoryTarget.Component });
    AddAffordabilityComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: AddAffordabilityComponent, selector: "app-add-affordability", ngImport: i0__namespace, template: "<div class=\"card card-custom module-card\">\n  <div class=\"card-header card-header-tabs-line\">\n    <div class=\"card-title\">\n      <h3 class=\"card-label main-title\" style=\"font-size: 14px\">{{ data.info?.name }}</h3>\n    </div>\n    <div class=\"card-toolbar\">\n      <button\n        [mat-dialog-close]=\"false\"\n        class=\"btn btn-icon btn-outline-danger\"\n      >\n        <i class=\"fas fa-times\"></i>\n      </button>\n    </div>\n  </div>\n  <div class=\"card-body\">\n    <form [formGroup]=\"Form\">\n      <div class=\"container-fluid\" *ngIf=\"formAttributes\">\n        <div class=\"row\">\n          <div class=\"col-12\" *ngFor=\"let field of formAttributes\">\n            <div [ngSwitch]=\"field.type\">\n              <div *ngSwitchCase=\"'text'\">\n                <ng-container\n                  *ngIf=\"field.propertyname === 'employeeid'; else elseEmployee\"\n                >\n                  <div class=\"form-group\">\n                    <label>\n                      <ng-container\n                        *ngIf=\"\n                          Form.get('employername').value === 'GHANA_POLICE';\n                          else elsePoliceField\n                        \"\n                      >\n                        Payroll No\n                      </ng-container>\n                      <ng-template #elsePoliceField> Employee ID </ng-template>\n                      <span class=\"text-danger\" *ngIf=\"field.validate.required\"\n                        >*</span\n                      ></label\n                    >\n                    <input\n                      [hidden]=\"field.hidden\"\n                      *ngIf=\"Form.get(field.propertyname)\"\n                      [class.is-invalid]=\"\n                        Form.get(field.propertyname).touched &&\n                        Form.get(field.propertyname).invalid\n                      \"\n                      type=\"text\"\n                      class=\"form-control field-height\"\n                      placeholder=\"Enter Value\"\n                      [formControlName]=\"field.propertyname\"\n                    />\n                    <div\n                      class=\"invalid-feedback\"\n                      *ngIf=\"Form.get(field.propertyname)\"\n                    >\n                      <span\n                        *ngIf=\"Form.get(field.propertyname).errors?.required\"\n                        >{{ field.validate?.errorText }}</span\n                      >\n                    </div>\n                  </div>\n                </ng-container>\n                <ng-template #elseEmployee>\n                  <div class=\"form-group\">\n                    <label [hidden]=\"field.hidden\"\n                      >{{ field.label }}\n                      <span class=\"text-danger\" *ngIf=\"field.validate.required\"\n                        >*</span\n                      ></label\n                    >\n                    <input\n                      [hidden]=\"field.hidden\"\n                      *ngIf=\"Form.get(field.propertyname)\"\n                      [class.is-invalid]=\"\n                        Form.get(field.propertyname).touched &&\n                        Form.get(field.propertyname).invalid\n                      \"\n                      type=\"text\"\n                      class=\"form-control field-height\"\n                      [placeholder]=\"field.placeholder\"\n                      [formControlName]=\"field.propertyname\"\n                    />\n                    <div\n                      class=\"invalid-feedback\"\n                      *ngIf=\"Form.get(field.propertyname)\"\n                    >\n                      <span\n                        *ngIf=\"Form.get(field.propertyname).errors?.required\"\n                        >{{ field.validate?.errorText }}</span\n                      >\n                    </div>\n                  </div>\n                </ng-template>\n              </div>\n              <div *ngSwitchCase=\"'select'\">\n                <ng-container\n                  *ngIf=\"field.label === 'SELECT RANK'; else elseSelect\"\n                >\n                  <div\n                    class=\"form-group\"\n                    *ngIf=\"\n                      Form.get(field.conditional.when).value ===\n                      field.conditional.eq\n                    \"\n                  >\n                    <label for=\"exampleSelect1\"\n                      >{{ field.label }}\n                      </label\n                    >\n                    <select\n                      *ngIf=\"Form.get(field.propertyname)\"\n                      [class.is-invalid]=\"\n                        Form.get(field.propertyname).touched &&\n                        Form.get(field.propertyname).invalid\n                      \"\n                      class=\"form-control field-height\"\n                      id=\"exampleSelect1\"\n                      [formControlName]=\"field.propertyname\"\n                      (change)=\"getEmployerId()\"\n                    >\n                      <ng-container\n                      >\n                        <option\n                          *ngFor=\"let item of dictionary.partner_institutions\"\n                          [value]=\"item.name\"\n                        >\n                          {{ item.name }}\n                        </option>\n                      </ng-container>\n                    </select>\n                    <div\n                      class=\"invalid-feedback\"\n                      *ngIf=\"Form.get(field.propertyname)\"\n                    >\n                      <span\n                        *ngIf=\"Form.get(field.propertyname).errors?.required\"\n                        >{{ field.validate?.errorText }}</span\n                      >\n                    </div>\n                  </div>\n                </ng-container>\n                <ng-template #elseSelect>\n                  <div class=\"form-group\">\n                    <label for=\"exampleSelect1\"\n                      >{{ field.label }}\n                      <span *ngIf=\"field.validate.required\" class=\"text-danger\"\n                        >*</span\n                      ></label\n                    >\n                    <select\n                      *ngIf=\"Form.get(field.propertyname)\"\n                      [class.is-invalid]=\"\n                        Form.get(field.propertyname).touched &&\n                        Form.get(field.propertyname).invalid\n                      \"\n                      class=\"form-control field-height\"\n                      id=\"exampleSelect1\"\n                      [formControlName]=\"field.propertyname\"\n                      (change)=\"getEmployerId()\"\n                    >\n                      <ng-container\n                        *ngIf=\"field.data.datasource === 'partner_institutions'\"\n                      >\n                        <option\n                          *ngFor=\"let item of dictionary.partner_institutions\"\n                          [value]=\"item.name\"\n                        >\n                          {{ item.name }}\n                        </option>\n                      </ng-container>\n                    </select>\n                    <div\n                      class=\"invalid-feedback\"\n                      *ngIf=\"Form.get(field.propertyname)\"\n                    >\n                      <span\n                        *ngIf=\"Form.get(field.propertyname).errors?.required\"\n                        >{{ field.validate?.errorText }}</span\n                      >\n                    </div>\n                  </div>\n                </ng-template>\n              </div>\n              <div *ngSwitchCase=\"'file'\">\n                <div class=\"form-group\">\n                  <label>{{ field.label }}</label>\n                  <div></div>\n                  <div class=\"custom-file\">\n                    <input\n                      accept=\"image/jpeg, image/jpg, image/png, application/pdf\"\n                      (change)=\"uploadFile($event, field.propertyname)\"\n                      *ngIf=\"Form.get(field.propertyname)\"\n                      [class.is-invalid]=\"\n                        Form.get(field.propertyname).touched &&\n                        Form.get(field.propertyname).invalid\n                      \"\n                      type=\"file\"\n                      class=\"custom-file-input field-height\"\n                      id=\"customFile\"\n                    />\n                    <label class=\"custom-file-label\" for=\"customFile\"\n                      >{{ filename ? filename : \"choose file\" }}\n                    </label>\n                  </div>\n                  <span class=\"form-text text-muted\"\n                    >File should not be greater than 3MB.</span\n                  >\n                  <div\n                    class=\"invalid-feedback\"\n                    *ngIf=\"Form.get(field.propertyname)\"\n                  >\n                    <span\n                      *ngIf=\"Form.get(field.propertyname).errors?.required\"\n                      >{{ field.validate?.errorText }}</span\n                    >\n                  </div>\n                </div>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </form>\n  </div>\n  <div class=\"card-footer d-flex justify-content-end\">\n    <a\n      class=\"btn btn-clean font-weight-bold mr-3 action-btn\"\n      [mat-dialog-close]=\"false\"\n      >Cancel</a\n    >\n    <button\n      (click)=\"submit()\"\n      class=\"btn btn-success font-weight-light action-btn btn-shadow\"\n    >\n      Submit\n    </button>\n  </div>\n</div>\n", styles: [".field-height{height:48px;border-radius:30px;color:var(--text-color)!important}.field-height,.module-card{background-color:var(--background-color);transition:all .6s ease!important}.module-card{box-shadow:0 1px 20px 0 rgba(0,0,0,.1)!important;border-radius:13px}.action-btn,.close-btn{padding:12px 25px;border-radius:35px}label{color:var(--text-color)}"], directives: [{ type: i1__namespace.MatDialogClose, selector: "[mat-dialog-close], [matDialogClose]", inputs: ["type", "mat-dialog-close", "aria-label", "matDialogClose"], exportAs: ["matDialogClose"] }, { type: i2__namespace$1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { type: i2__namespace$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { type: i2__namespace$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { type: i5__namespace.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i5__namespace.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i5__namespace.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { type: i5__namespace.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { type: i2__namespace$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { type: i2__namespace$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i2__namespace$1.FormControlName, selector: "[formControlName]", inputs: ["disabled", "formControlName", "ngModel"], outputs: ["ngModelChange"] }, { type: i3__namespace.NativeElementInjectorDirective, selector: "[ngModel], [formControl], [formControlName]" }, { type: i2__namespace$1.SelectControlValueAccessor, selector: "select:not([multiple])[formControlName],select:not([multiple])[formControl],select:not([multiple])[ngModel]", inputs: ["compareWith"] }, { type: i2__namespace$1.NgSelectOption, selector: "option", inputs: ["ngValue", "value"] }, { type: i2__namespace$1.ɵNgSelectMultipleOption, selector: "option", inputs: ["ngValue", "value"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: AddAffordabilityComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'app-add-affordability',
                        templateUrl: './add-affordability.component.html',
                        styleUrls: ['./add-affordability.component.scss'],
                    }]
            }], ctorParameters: function () {
            return [{ type: i1__namespace.MatDialogRef }, { type: undefined, decorators: [{
                            type: i0.Inject,
                            args: [i1.MAT_DIALOG_DATA]
                        }] }, { type: i0__namespace.ChangeDetectorRef }, { type: i2__namespace$1.FormBuilder }, { type: i3__namespace$1.FormsService }, { type: i1__namespace.MatDialog }, { type: i4__namespace.NgxSpinnerService }, { type: i3__namespace$1.InteractionService }];
        } });

    var WebcamDialogComponent = /** @class */ (function () {
        function WebcamDialogComponent(dialogRef, data, cdr) {
            this.dialogRef = dialogRef;
            this.cdr = cdr;
            this.pictureTaken = new i0.EventEmitter();
            // toggle webcam on/off
            this.showWebcam = true;
            this.allowCameraSwitch = true;
            this.multipleWebcamsAvailable = false;
            this.videoOptions = {
            // width: {ideal: 1024},
            // height: {ideal: 576}
            };
            this.errors = [];
            // webcam snapshot trigger
            this.trigger = new rxjs.Subject();
            // switch to next / previous / specific webcam; true/false: forward/backwards, string: deviceId
            this.nextWebcam = new rxjs.Subject();
            this.key = data.key;
        }
        WebcamDialogComponent.prototype.ngOnInit = function () {
            var _this = this;
            i2$2.WebcamUtil.getAvailableVideoInputs().then(function (mediaDevices) {
                _this.multipleWebcamsAvailable = mediaDevices && mediaDevices.length > 1;
            });
        };
        WebcamDialogComponent.prototype.ngAfterViewInit = function () {
            //Called after ngAfterContentInit when the component's view has been initialized. Applies to components only.
            //Add 'implements AfterViewInit' to the class.
        };
        WebcamDialogComponent.prototype.triggerSnapshot = function () {
            this.trigger.next();
        };
        WebcamDialogComponent.prototype.toggleWebcam = function () {
            this.showWebcam = !this.showWebcam;
        };
        WebcamDialogComponent.prototype.handleInitError = function (error) {
            this.errors.push(error);
        };
        WebcamDialogComponent.prototype.showNextWebcam = function (directionOrDeviceId) {
            // true => move forward through devices
            // false => move backwards through devices
            // string => move to device with given deviceId
            this.nextWebcam.next(directionOrDeviceId);
        };
        WebcamDialogComponent.prototype.handleImage = function (webcamImage) {
            console.info('received webcam image', webcamImage);
            this.capturedImage = webcamImage;
            this.pictureTaken.emit(webcamImage);
            this.cdr.markForCheck();
        };
        WebcamDialogComponent.prototype.cameraWasSwitched = function (deviceId) {
            console.log('active device: ' + deviceId);
            this.deviceId = deviceId;
        };
        Object.defineProperty(WebcamDialogComponent.prototype, "triggerObservable", {
            get: function () {
                return this.trigger.asObservable();
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(WebcamDialogComponent.prototype, "nextWebcamObservable", {
            get: function () {
                return this.nextWebcam.asObservable();
            },
            enumerable: false,
            configurable: true
        });
        WebcamDialogComponent.prototype.close = function () {
            this.dialogRef.close('false');
        };
        WebcamDialogComponent.prototype.save = function () {
            this.dialogRef.close({
                type: this.key,
                image: this.capturedImage.imageAsDataUrl,
                base64: this.capturedImage.imageAsBase64,
                imagetype: this.capturedImage._mimeType,
            });
        };
        WebcamDialogComponent.prototype.removeSnapshot = function () {
            this.capturedImage = null;
            this.cdr.markForCheck();
        };
        return WebcamDialogComponent;
    }());
    WebcamDialogComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: WebcamDialogComponent, deps: [{ token: i1__namespace.MatDialogRef }, { token: i1.MAT_DIALOG_DATA }, { token: i0__namespace.ChangeDetectorRef }], target: i0__namespace.ɵɵFactoryTarget.Component });
    WebcamDialogComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: WebcamDialogComponent, selector: "kt-webcam-dialog", outputs: { pictureTaken: "pictureTaken" }, ngImport: i0__namespace, template: "<div class=\"card card-custom mb-0\">\n  <div class=\"card-header\">\n    <div class=\"card-title\">\n      <h3 class=\"card-label\" style=\"padding: 11px; font-size: 17px\">\n        <i class=\"flaticon-photo-camera mr-2\"></i>\n        WEBCAM\n      </h3>\n    </div>\n  </div>\n  <div class=\"card-body\" style=\"padding: 25px 40px\">\n    <mat-dialog-content>\n      <div class=\"row\">\n        <div class=\"col-md-6\">\n          <webcam\n            [height]=\"180\"\n            [width]=\"300\"\n            [trigger]=\"triggerObservable\"\n            (imageCapture)=\"handleImage($event)\"\n            *ngIf=\"showWebcam\"\n            [allowCameraSwitch]=\"allowCameraSwitch\"\n            [switchCamera]=\"nextWebcamObservable\"\n            [videoOptions]=\"videoOptions\"\n            (cameraSwitched)=\"cameraWasSwitched($event)\"\n            (initError)=\"handleInitError($event)\"\n          ></webcam>\n\n          <div class=\"d-flex mt-4\">\n            <a\n              (click)=\"triggerSnapshot()\"\n              class=\"btn btn-text-dark-50 btn-icon-primary font-weight-bold btn-hover-bg-light mr-3\"\n            >\n              <i class=\"flaticon2-files-and-folders\"></i> Take Snapshot\n            </a>\n            <a\n              (click)=\"removeSnapshot()\"\n              class=\"btn btn-text-dark-50 btn-icon-danger font-weight-bold btn-hover-bg-light mr-3\"\n            >\n              <i class=\"flaticon2-rubbish-bin\"></i> Remove Snapshot\n            </a>\n          </div>\n        </div>\n        <div class=\"col-6\">\n          <img\n            [src]=\"capturedImage.imageAsDataUrl\"\n            alt=\"captured image\"\n            class=\"img-thumbnail rounded img-fluid\"\n            *ngIf=\"capturedImage\"\n          />\n          <img\n            src=\"assets/images/defaults/placeholder-image.png\"\n            alt=\"...\"\n            class=\"img-thumbnail rounded img-fluid\"\n            *ngIf=\"!capturedImage\"\n          />\n          <span\n            class=\"d-block mt-4 text-center font-italic font-weight-bold\"\n            *ngIf=\"capturedImage\"\n            >IMAGE PREVIEW</span\n          >\n          <span\n            class=\"d-block mt-4 text-center font-italic font-weight-bold\"\n            *ngIf=\"!capturedImage\"\n            >NO IMAGE CAPTURED</span\n          >\n        </div>\n      </div>\n    </mat-dialog-content>\n  </div>\n  <div class=\"card-footer\">\n    <div mat-dialog-actions style=\"padding: 11px\" align=\"end\">\n      <button\n        (click)=\"close()\"\n        class=\"btn btn-outline-secondary font-weight-bold mx-2 px-4 py-3\"\n      >\n        Cancel\n      </button>\n      <button\n        (click)=\"save()\"\n        class=\"btn btn-light-primary font-weight-bold mx-2 px-4 py-3\"\n      >\n        Save Image\n      </button>\n    </div>\n  </div>\n</div>\n", styles: [".actionBtn{font-size:4em;cursor:pointer}.snapshot{text-align:center}.snapshot img{max-width:800px;max-height:800px}"], components: [{ type: i2__namespace$2.WebcamComponent, selector: "webcam", inputs: ["width", "height", "videoOptions", "allowCameraSwitch", "captureImageData", "imageType", "imageQuality", "trigger", "switchCamera", "mirrorImage"], outputs: ["imageCapture", "initError", "imageClick", "cameraSwitched"] }], directives: [{ type: i1__namespace.MatDialogContent, selector: "[mat-dialog-content], mat-dialog-content, [matDialogContent]" }, { type: i5__namespace.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i1__namespace.MatDialogActions, selector: "[mat-dialog-actions], mat-dialog-actions, [matDialogActions]" }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: WebcamDialogComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'kt-webcam-dialog',
                        templateUrl: './webcam-dialog.component.html',
                        styleUrls: ['./webcam-dialog.component.scss'],
                    }]
            }], ctorParameters: function () {
            return [{ type: i1__namespace.MatDialogRef }, { type: undefined, decorators: [{
                            type: i0.Inject,
                            args: [i1.MAT_DIALOG_DATA]
                        }] }, { type: i0__namespace.ChangeDetectorRef }];
        }, propDecorators: { pictureTaken: [{
                    type: i0.Output
                }] } });

    var ViewMapDialogComponent = /** @class */ (function () {
        function ViewMapDialogComponent(data, cdr) {
            this.data = data;
            this.cdr = cdr;
            this.lat = 0;
            this.lng = 0;
        }
        ViewMapDialogComponent.prototype.ngOnInit = function () {
            this.lat = this.data.latitude;
            this.lng = this.data.longitude;
            this.cdr.markForCheck();
            console.log(this.lat, this.lng);
        };
        return ViewMapDialogComponent;
    }());
    ViewMapDialogComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: ViewMapDialogComponent, deps: [{ token: i1.MAT_DIALOG_DATA }, { token: i0__namespace.ChangeDetectorRef }], target: i0__namespace.ɵɵFactoryTarget.Component });
    ViewMapDialogComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: ViewMapDialogComponent, selector: "kt-view-map-dialog", ngImport: i0__namespace, template: "<h1 mat-dialog-title style=\"padding: 11px; font-size: 17px\">\n  View Location Address\n</h1>\n<mat-divider></mat-divider>\n<div mat-dialog-content style=\"padding: 5px 40px\">\n  <agm-map [latitude]=\"lat\" [longitude]=\"lng\">\n    <agm-marker [latitude]=\"lat\" [longitude]=\"lng\"></agm-marker>\n  </agm-map>\n</div>\n<mat-divider></mat-divider>\n<div mat-dialog-actions style=\"padding: 11px\" align=\"end\">\n  <button mat-button mat-dialog-close>Close</button>\n</div>\n", styles: ["agm-map{height:300px!important}"], components: [{ type: i1__namespace$1.AgmMap, selector: "agm-map", inputs: ["longitude", "latitude", "zoom", "mapDraggable", "disableDoubleClickZoom", "disableDefaultUI", "scrollwheel", "keyboardShortcuts", "styles", "usePanning", "fitBounds", "mapTypeId", "clickableIcons", "showDefaultInfoWindow", "gestureHandling", "tilt", "minZoom", "maxZoom", "controlSize", "backgroundColor", "draggableCursor", "draggingCursor", "fitBoundsPadding", "restriction"], outputs: ["mapClick", "mapRightClick", "mapDblClick", "centerChange", "boundsChange", "mapTypeIdChange", "idle", "zoomChange", "mapReady", "tilesLoaded"] }], directives: [{ type: i1__namespace.MatDialogTitle, selector: "[mat-dialog-title], [matDialogTitle]", inputs: ["id"], exportAs: ["matDialogTitle"] }, { type: i1__namespace.MatDialogContent, selector: "[mat-dialog-content], mat-dialog-content, [matDialogContent]" }, { type: i1__namespace$1.AgmMarker, selector: "agm-marker", inputs: ["markerDraggable", "visible", "openInfoWindow", "opacity", "zIndex", "markerClickable", "latitude", "longitude", "title", "label", "iconUrl", "animation"], outputs: ["animationChange", "markerClick", "markerDblClick", "markerRightClick", "dragStart", "drag", "dragEnd", "mouseOver", "mouseOut"] }, { type: i1__namespace.MatDialogActions, selector: "[mat-dialog-actions], mat-dialog-actions, [matDialogActions]" }, { type: i1__namespace.MatDialogClose, selector: "[mat-dialog-close], [matDialogClose]", inputs: ["type", "mat-dialog-close", "aria-label", "matDialogClose"], exportAs: ["matDialogClose"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: ViewMapDialogComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: "kt-view-map-dialog",
                        templateUrl: "./view-map-dialog.component.html",
                        styleUrls: ["./view-map-dialog.component.scss"],
                    }]
            }], ctorParameters: function () {
            return [{ type: undefined, decorators: [{
                            type: i0.Inject,
                            args: [i1.MAT_DIALOG_DATA]
                        }] }, { type: i0__namespace.ChangeDetectorRef }];
        } });

    var Toast = Swal__default['default'].mixin({
        toast: true,
        position: 'top-end',
        showConfirmButton: false,
        timer: 3000,
        timerProgressBar: true,
        didOpen: function (toast) {
            toast.addEventListener('mouseenter', Swal__default['default'].stopTimer);
            toast.addEventListener('mouseleave', Swal__default['default'].resumeTimer);
        },
    });
    var OtpValidationDialogComponent = /** @class */ (function () {
        function OtpValidationDialogComponent(dialogRef, messagingService, data, formBuilder, spinner, cdr) {
            this.dialogRef = dialogRef;
            this.messagingService = messagingService;
            this.data = data;
            this.formBuilder = formBuilder;
            this.spinner = spinner;
            this.cdr = cdr;
            this.phonenumber = data.phone;
            this.hash = data.hash;
            this.customerDetails = data.customerdetails;
            this.Form = this.formBuilder.group({
                pin: ['', [i2$1.Validators.required, i2$1.Validators.maxLength(6)]],
            });
        }
        OtpValidationDialogComponent.prototype.ngOnInit = function () { };
        OtpValidationDialogComponent.prototype.confirm = function () {
            console.log(this.Form);
            if (this.Form.valid) {
                this.validateOTP();
            }
            else {
                this.Form.markAllAsTouched();
            }
        };
        OtpValidationDialogComponent.prototype.validateOTP = function () {
            var _this = this;
            bcrypt__namespace.compare(this.Form.get('pin').value, this.hash, function (err, result) {
                if (result == true) {
                    console.log(result);
                    _this.dialogRef.close({ confirm: true });
                    _this.cdr.markForCheck();
                }
                else if (err) {
                    console.log(err);
                    _this.alertWithError('OTP', err);
                    _this.cdr.markForCheck();
                }
                else {
                    console.log(result);
                    _this.alertWithError('OTP', 'PIN ENTERED IS INVALID');
                    _this.cdr.markForCheck();
                }
            });
        };
        OtpValidationDialogComponent.prototype.close = function () {
            this.dialogRef.close();
        };
        OtpValidationDialogComponent.prototype.alertWithError = function (title, message) {
            Swal__default['default'].fire({
                icon: 'error',
                title: title,
                text: message,
            });
        };
        OtpValidationDialogComponent.prototype.resend_otp = function () {
            var _this = this;
            this.loadingMessage = 'SENDING OTP SMS FOR VERIFICATION, PLEASE WAIT...';
            this.spinner.show();
            var _uuid = uuid.v4();
            var postbody = {
                email: this.customerDetails.email,
                phonenumber: this.customerDetails.phonenumber,
            };
            var sub = this.messagingService.sendOTPSMS(postbody, _uuid).subscribe(function (response) {
                if (response) {
                    Toast.fire({
                        icon: 'success',
                        title: 'AN SMS WITH A PIN IS SENT TO YOUR NUMBER',
                    });
                    _this.hash = response['otp'];
                    _this.spinner.hide();
                    _this.cdr.markForCheck();
                    sub.unsubscribe();
                }
            }, function (error) {
                console.log(error['error']['text'], 'otp error');
                _this.spinner.hide();
                _this.cdr.markForCheck();
                sub.unsubscribe();
            });
        };
        return OtpValidationDialogComponent;
    }());
    OtpValidationDialogComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: OtpValidationDialogComponent, deps: [{ token: i1__namespace.MatDialogRef }, { token: i3__namespace$1.MessagingService }, { token: i1.MAT_DIALOG_DATA }, { token: i2__namespace$1.FormBuilder }, { token: i4__namespace.NgxSpinnerService }, { token: i0__namespace.ChangeDetectorRef }], target: i0__namespace.ɵɵFactoryTarget.Component });
    OtpValidationDialogComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: OtpValidationDialogComponent, selector: "kt-otp-validation-dialog", ngImport: i0__namespace, template: "<ngx-spinner\n  bdColor=\"rgba(0,0,0,0.6)\"\n  size=\"medium\"\n  color=\"#fff\"\n  type=\"ball-clip-rotate-pulse\"\n>\n<p class=\"text-uppercase\" style=\"font-size: 12px; color: white\">{{ loadingMessage }}</p>\n</ngx-spinner>\n<div class=\"card card-custom gutter-b m-0\">\n  <div class=\"card-body\">\n    <div class=\"row mb-3\">\n      <div class=\"col-12 text-center\">\n        <span class=\"svg-icon svg-icon-primary svg-icon-3x mb-3\"\n          ><!--begin::Svg Icon | path:C:\\wamp64\\www\\keenthemes\\themes\\metronic\\theme\\html\\demo1\\dist/../src/media/svg/icons\\General\\Unlock.svg--><svg\n            xmlns=\"http://www.w3.org/2000/svg\"\n            xmlns:xlink=\"http://www.w3.org/1999/xlink\"\n            width=\"24px\"\n            height=\"24px\"\n            viewBox=\"0 0 24 24\"\n            version=\"1.1\"\n          >\n            <g stroke=\"none\" stroke-width=\"1\" fill=\"none\" fill-rule=\"evenodd\">\n              <mask fill=\"white\">\n                <use xlink:href=\"#path-1\" />\n              </mask>\n              <g />\n              <path\n                d=\"M15.6274517,4.55882251 L14.4693753,6.2959371 C13.9280401,5.51296885 13.0239252,5 12,5 C10.3431458,5 9,6.34314575 9,8 L9,10 L14,10 L17,10 L18,10 C19.1045695,10 20,10.8954305 20,12 L20,18 C20,19.1045695 19.1045695,20 18,20 L6,20 C4.8954305,20 4,19.1045695 4,18 L4,12 C4,10.8954305 4.8954305,10 6,10 L7,10 L7,8 C7,5.23857625 9.23857625,3 12,3 C13.4280904,3 14.7163444,3.59871093 15.6274517,4.55882251 Z\"\n                fill=\"#000000\"\n              />\n            </g></svg\n          ><!--end::Svg Icon--></span\n        >\n        <h6 class=\"font-weight-bold\">OTP PIN VERIFICATION</h6>\n      </div>\n    </div>\n\n    <mat-dialog-content>\n      <h6 class=\"font-weight-bold mb-3\">\n        We have sent you an SMS with a validation PIN to {{ phonenumber }}\n      </h6>\n\n      <form [formGroup]=\"Form\" novalidate>\n        <div class=\"form-group mt-3\">\n          <label class=\"text-muted font-weight-light\">ENTER PIN</label>\n          <input\n            [class.is-invalid]=\"\n              Form.get('pin').touched && Form.get('pin').invalid\n            \"\n            type=\"text\"\n            formControlName=\"pin\"\n            class=\"form-control custom-input\"\n            placeholder=\"Enter pin\"\n          />\n          <div class=\"invalid-feedback\">\n            <span *ngIf=\"Form.get('pin').hasError('required')\"\n              >Enter your pin verify</span\n            >\n            <span *ngIf=\"Form.get('pin').hasError('maxlength')\"\n              >Maximum length of the pin must be 6</span\n            >\n          </div>\n        </div>\n      </form>\n    </mat-dialog-content>\n\n    <div class=\"text-center\">\n      <a\n        style=\"padding: 10px 20px\"\n        (click)=\"resend_otp()\"\n        class=\"btn btn-text-dark-50 btn-icon-primary font-weight-light btn-hover-bg-light mt-3 mr-3\"\n      >\n        <i class=\"fas fa-redo\" style=\"font-size: 12px\"></i> RESEND OTP\n      </a>\n      <a\n        style=\"padding: 10px 20px\"\n        (click)=\"close()\"\n        class=\"btn btn-text-dark-50 btn-icon-danger font-weight-light btn-hover-bg-light mr-3 mt-3\"\n      >\n        <i class=\"flaticon2-cancel-music\" style=\"font-size: 12px\"></i> CANCEL\n      </a>\n      <a\n        style=\"padding: 10px 20px\"\n        (click)=\"confirm()\"\n        class=\"btn btn-text-dark-50 btn-icon-primary font-weight-light btn-hover-bg-light mt-3\"\n      >\n        <i class=\"fas fa-check\" style=\"font-size: 12px\"></i> CONFIRM\n      </a>\n    </div>\n  </div>\n</div>\n", styles: [".custom-input{height:50px!important;border-radius:0!important;background:transparent;border-top:none;border-left:none;border-right:none}"], directives: [{ type: i1__namespace.MatDialogContent, selector: "[mat-dialog-content], mat-dialog-content, [matDialogContent]" }, { type: i2__namespace$1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { type: i2__namespace$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { type: i2__namespace$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { type: i2__namespace$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { type: i2__namespace$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i2__namespace$1.FormControlName, selector: "[formControlName]", inputs: ["disabled", "formControlName", "ngModel"], outputs: ["ngModelChange"] }, { type: i3__namespace.NativeElementInjectorDirective, selector: "[ngModel], [formControl], [formControlName]" }, { type: i5__namespace.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: OtpValidationDialogComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'kt-otp-validation-dialog',
                        templateUrl: './otp-validation-dialog.component.html',
                        styleUrls: ['./otp-validation-dialog.component.scss'],
                    }]
            }], ctorParameters: function () {
            return [{ type: i1__namespace.MatDialogRef }, { type: i3__namespace$1.MessagingService }, { type: undefined, decorators: [{
                            type: i0.Inject,
                            args: [i1.MAT_DIALOG_DATA]
                        }] }, { type: i2__namespace$1.FormBuilder }, { type: i4__namespace.NgxSpinnerService }, { type: i0__namespace.ChangeDetectorRef }];
        } });

    var ThemeToggleNoticeDialogComponent = /** @class */ (function () {
        function ThemeToggleNoticeDialogComponent() {
        }
        ThemeToggleNoticeDialogComponent.prototype.ngOnInit = function () {
        };
        return ThemeToggleNoticeDialogComponent;
    }());
    ThemeToggleNoticeDialogComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: ThemeToggleNoticeDialogComponent, deps: [], target: i0__namespace.ɵɵFactoryTarget.Component });
    ThemeToggleNoticeDialogComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: ThemeToggleNoticeDialogComponent, selector: "app-theme-toggle-notice-dialog", ngImport: i0__namespace, template: "<div class=\"card card-custom toggle-container mt-4\">\n  <div class=\"card-body d-flex align-items-center justify-content-start\">\n    <div class=\"symbol symbol-60 mr-3\">\n      <img\n        alt=\"Pic\"\n        src=\"assets/images/defaults/undraw_lightbulb_moment_evxr.svg\"\n      />\n    </div>\n\n    <h4 style=\"font-size: 13px; font-weight: 600\" class=\"mr-3 mb-0\">\n      You can change to light theme using the adjust\n      <i class=\"fas fa-adjust text-warning\"></i> icon on the header bar\n    </h4>\n  </div>\n</div>\n", styles: [".toggle-container{position:fixed;top:55px;z-index:99;left:59%;width:24%;width:40%;border-radius:18px;box-shadow:0 1px 20px 0 rgba(0,0,0,.2)!important}.toggle-container .card-body{padding:14px!important}"] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: ThemeToggleNoticeDialogComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'app-theme-toggle-notice-dialog',
                        templateUrl: './theme-toggle-notice-dialog.component.html',
                        styleUrls: ['./theme-toggle-notice-dialog.component.scss']
                    }]
            }], ctorParameters: function () { return []; } });

    var LibCommonModule = /** @class */ (function () {
        function LibCommonModule() {
        }
        return LibCommonModule;
    }());
    LibCommonModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: LibCommonModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    LibCommonModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: LibCommonModule, declarations: [SignOutDialogComponent,
            ModuleNotFoundComponent,
            SearchResultComponent,
            PdfViewerComponent,
            PinConfirmationComponent,
            MapLocationDialogComponent,
            ValidateTellerPinComponent,
            AddAffordabilityComponent,
            WebcamDialogComponent,
            ViewMapDialogComponent,
            OtpValidationDialogComponent,
            ConfirmDialogComponent,
            ThemeToggleNoticeDialogComponent], imports: [i1__namespace$1.AgmCoreModule, table.MatTableModule,
            input.MatInputModule,
            paginator.MatPaginatorModule,
            http.HttpClientModule,
            i5.CommonModule,
            i2$1.FormsModule,
            i2$1.ReactiveFormsModule,
            ngBootstrap.NgbModule,
            i3.NgxIntlTelInputModule,
            i1.MatDialogModule,
            i2.PdfViewerModule,
            ng2Charts.ChartsModule,
            i2$2.WebcamModule], exports: [AddAffordabilityComponent,
            WebcamDialogComponent,
            SignOutDialogComponent,
            PdfViewerComponent,
            ViewMapDialogComponent,
            OtpValidationDialogComponent,
            PinConfirmationComponent,
            ValidateTellerPinComponent,
            ConfirmDialogComponent,
            ThemeToggleNoticeDialogComponent] });
    LibCommonModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: LibCommonModule, imports: [[
                i1$1.AgmCoreModule.forRoot({
                    apiKey: '',
                }),
                table.MatTableModule,
                input.MatInputModule,
                paginator.MatPaginatorModule,
                http.HttpClientModule,
                i5.CommonModule,
                i2$1.FormsModule,
                i2$1.ReactiveFormsModule,
                ngBootstrap.NgbModule,
                i3.NgxIntlTelInputModule,
                i1.MatDialogModule,
                i2.PdfViewerModule,
                ng2Charts.ChartsModule,
                i2$2.WebcamModule,
            ]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: LibCommonModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        declarations: [
                            SignOutDialogComponent,
                            ModuleNotFoundComponent,
                            SearchResultComponent,
                            PdfViewerComponent,
                            PinConfirmationComponent,
                            MapLocationDialogComponent,
                            ValidateTellerPinComponent,
                            AddAffordabilityComponent,
                            WebcamDialogComponent,
                            ViewMapDialogComponent,
                            OtpValidationDialogComponent,
                            ConfirmDialogComponent,
                            ThemeToggleNoticeDialogComponent,
                        ],
                        imports: [
                            i1$1.AgmCoreModule.forRoot({
                                apiKey: '',
                            }),
                            table.MatTableModule,
                            input.MatInputModule,
                            paginator.MatPaginatorModule,
                            http.HttpClientModule,
                            i5.CommonModule,
                            i2$1.FormsModule,
                            i2$1.ReactiveFormsModule,
                            ngBootstrap.NgbModule,
                            i3.NgxIntlTelInputModule,
                            i1.MatDialogModule,
                            i2.PdfViewerModule,
                            ng2Charts.ChartsModule,
                            i2$2.WebcamModule,
                        ],
                        entryComponents: [
                            AddAffordabilityComponent,
                            WebcamDialogComponent,
                            ViewMapDialogComponent,
                            SignOutDialogComponent,
                            PdfViewerComponent,
                            PinConfirmationComponent,
                            ValidateTellerPinComponent,
                            OtpValidationDialogComponent,
                            ConfirmDialogComponent,
                        ],
                        exports: [
                            AddAffordabilityComponent,
                            WebcamDialogComponent,
                            SignOutDialogComponent,
                            PdfViewerComponent,
                            ViewMapDialogComponent,
                            OtpValidationDialogComponent,
                            PinConfirmationComponent,
                            ValidateTellerPinComponent,
                            ConfirmDialogComponent,
                            ThemeToggleNoticeDialogComponent,
                        ],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA],
                    }]
            }] });

    /*
     * Public API Surface of lib-common
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.AddAffordabilityComponent = AddAffordabilityComponent;
    exports.ConfirmDialogComponent = ConfirmDialogComponent;
    exports.LibCommonModule = LibCommonModule;
    exports.MapLocationDialogComponent = MapLocationDialogComponent;
    exports.ModuleNotFoundComponent = ModuleNotFoundComponent;
    exports.OtpValidationDialogComponent = OtpValidationDialogComponent;
    exports.PdfViewerComponent = PdfViewerComponent;
    exports.PinConfirmationComponent = PinConfirmationComponent;
    exports.SearchResultComponent = SearchResultComponent;
    exports.SignOutDialogComponent = SignOutDialogComponent;
    exports.ThemeToggleNoticeDialogComponent = ThemeToggleNoticeDialogComponent;
    exports.ValidateTellerPinComponent = ValidateTellerPinComponent;
    exports.ViewMapDialogComponent = ViewMapDialogComponent;
    exports.WebcamDialogComponent = WebcamDialogComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=interfaceft-icb-lib-common.umd.js.map
